/*
 * Copyright (c) eHealth
 */
package be.fgov.ehealth.technicalconnector.tests.beid;

import java.nio.ByteBuffer;

import javax.smartcardio.Card;
import javax.smartcardio.CardChannel;
import javax.smartcardio.CardException;
import javax.smartcardio.CommandAPDU;
import javax.smartcardio.ResponseAPDU;


/**
 * Dummy Channel
 * 
 * @author EHP
 * 
 */
public class DummyChannel extends CardChannel {

    private DummyCard card;

    public DummyChannel(DummyCard card) {
        this.card = card;
    }

    @Override
    public void close() throws CardException {
        //
    }

    @Override
    public Card getCard() {
        return card;
    }

    @Override
    public int getChannelNumber() {
        return 0;
    }

    @Override
    public ResponseAPDU transmit(CommandAPDU commandapdu) throws CardException {
        return null;
    }

    @Override
    public int transmit(ByteBuffer bytebuffer, ByteBuffer bytebuffer1) throws CardException {
        return 0;
    }

}
